{
  lib,
  fetchFromGitHub,
  rustPlatform,
}:
rustPlatform.buildRustPackage rec {
  pname = "simple-completion-language-server";
  version = "6c797949ad5a6e9548b60b5475d1c9977f26c811";

  src = fetchFromGitHub {
    owner = "estin";
    repo = pname;
    rev = version;
    hash = "sha256-cITZdlDB03i7gOYbahV99wZOQ7tisnqdT/N2Z12oLFM=";
  };

  useFetchCargoVendor = true;
  cargoHash = "sha256-nannF4BKRLCcsS7VznzEHqrhLHYvN4X22t8jud87XEM=";
  meta = with lib; {
    description = "Language server to enable word completion and snippets for Helix editor";
    homepage = "https://github.com/estin/simple-completion-language-server";
    license = licenses.mit;
    maintainers = ["Lillian-Violet"];
  };
}
